@charset "utf-8";




/*
ソースコード用
prettyPrint
*/

.prettyprint {
      font-size:12px;
      word-wrap:normal;
/*
      width:800px;
*/
      width: 80%;
/*
      height:800px;
*/
      overflow: auto;  
}
.prettyprint ol.linenums > li {
	list-style-type: decimal; 
}


    

a:hover { background-color: skyblue; }
.type1
{
    text-decoration: none;
}

body,pre,p
{
/*
    margin: 4px;
*/
    margin-top:   50px;
    margin-bottom:50px;
    margin-right: 0px;
    margin-left:  40px;
    padding: 0;
/*
    background-color: honeydew;
*/
    font-family:"ヒラギノ角ゴ Pro W3",メイリオ,Osaka,Arial,Verdana,"ＭＳ Ｐゴシック",sans-serif;
    font-weight: 500;
    text-decoration-skip-ink: none            
}


h1 {
  position: relative;
  color: #158b2b;
  font-size: 20px;
  padding: 10px 0;
  text-align: center;
  margin: 1.5em 0;
}
h1:before {
  content: "";
  position: absolute;
  top: -8px;
  left: 50%;
  width: 150px;
  height: 58px;
  border-radius: 50%;
  border: 5px solid #a6ddb0;
  border-left-color: transparent;
  border-right-color: transparent;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
}    

h2 {
  border-bottom: solid 3px black;
}

h3 {
  padding: 0.25em 0.5em;
  color: #494949;
  background: transparent;
  border-left: solid 5px #7db4e6;
}
h4 {
  padding: 0.4em 0.5em;/*文字の上下 左右の余白*/
  color: #494949;/*文字色*/
  background: #f4f4f4;/*背景色*/
  border-left: solid 5px #7db4e6;/*左線*/
  border-bottom: solid 3px #d7d7d7;/*下線*/
}


/*
テーブル---------------------------------------------------------------
*/


table {
  border-collapse: collapse;
  border: solid 2px orange;/*表全体を線で囲う*/
}
table th, table td {
  border: dashed 1px orange;/**/
  /*破線 1px オレンジ*/
}
ol {
  padding-top: 20px;
  padding-bottom: 10px
  /*背景色などのCSSは省略*/
}
ul li {
  line-height:0
}
ol {
  padding-left: 100px;
  padding-right: 10px;
  padding-top: 1px;
  padding-bottom: 10px
  /*↑padding: 10px 10px 10px 30pxと
  まとめて書くこともできますね。*/
  /*背景色などのCSSは省略*/
}

/*
文字列の色を付ける
*/
.mark{
    background-color:khaki;
    color:brown;
}

.fonSmall{
    font-size:10px
}
.srcCD {
        overflow: auto;
        white-space: normal;
        white-space: pre-wrap;       /* css-3 */
        white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
        white-space: -pre-wrap;      /* Opera 4-6 */
        white-space: -o-pre-wrap;    /* Opera 7 */
        word-wrap: break-word;       /* Internet Explorer 5.5+ */
        border:1px solid #ccc;
        padding:5px;
        margin:10px;
        background-color:skyblue;
        }
.srcCD2 {
        overflow: auto;
        white-space: normal;
        white-space: pre-wrap;       /* css-3 */
        white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
        white-space: -pre-wrap;      /* Opera 4-6 */
        white-space: -o-pre-wrap;    /* Opera 7 */
        word-wrap: break-word;       /* Internet Explorer 5.5+ */
        border:1px solid #ccc;
        padding:5px;
        margin:10px;
        background-color:palegreen;
        }
        </style>


/*
h2{
    font-size:20px;
    line-height:0px;
    display: inline
}

hr{
    line-height:0px;
    display: inline
}
    
*/
